package main

import "log"
import "net/http"
import "hnakra/service"

func main () {
	http.HandleFunc("/kamikaze/", hellorld)
	service.NewService (
		"Kamikaze",
		"A service that abrupltly closes upon any request, for testing.",
		service.NewHTTP("@", "/kamikaze/", nil)).Run()
}

func hellorld (res http.ResponseWriter, req *http.Request) {
	log.Fatal("Goodbye!")
}
